# List of all in-stores (deprecated)

This endpoint is deprecated. 
Use the sales channels endpoint (/api/sales-channels) instead.

Provides a list of in-stores.
This endpoint is available only when the 'In-store sales channel' module is active. It is currently considered beta/experimental, and its structure may change in the future.

Endpoint: GET /api/in-stores
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.inStores` (array, required)

  - `data.inStores.id` (integer, required)
    In-store identifier.

  - `data.inStores.guid` (string, required)
    In-store GUID.

  - `data.inStores.address` (any, required)
    In-store address (can be null).

  - `data.inStores.contact` (object, required)
    In-store contact information.

  - `data.inStores.contact.email` (string,null, required)
    in-store contact email

  - `data.inStores.contact.phone` (string,null, required)
    in-store contact phone

  - `data.inStores.contact.openingHour` (string,null, required)
    in-store opening hours

  - `data.inStores.contact.transport` (string,null, required)
    in-store transport information

  - `data.inStores.categoryId` (integer, required)
    Project category identifier.

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


